Bug 1260562 (CVE-2015-6816) - CVE-2015-6816 ganglia: Bypassing Ganglia-web auth using boolean serialization
Summary: CVE-2015-6816 ganglia: Bypassing Ganglia-web auth using boolean serialization
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2015-6816
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1260563 1260564
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-07 09:19 UTC by Adam Mariš
Modified: 2019-09-29 13:36 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:43:26 UTC


Attachments (Terms of Use)

Description Adam Mariš 2015-09-07 09:19:01 UTC
A vulnerability of auth bypassing was found in Ganglia-web. It's easy to bypass auth by using boolean serialization like this:
$ php -r "echo urlencode(serialize(array('user'=>'admin','group'=>'admin', 'token'=>true)));"

Vulnerable code: 

https://github.com/ganglia/ganglia-web/blob/4e98ea69e0e18b388cdc73809ce54843a16ff87b/lib/GangliaAuth.php#L34-L46

Upstream report:

https://github.com/ganglia/ganglia-web/issues/267

CVE assignment:

http://seclists.org/oss-sec/2015/q3/502

Comment 1 Adam Mariš 2015-09-07 09:19:36 UTC
Created ganglia tracking bugs for this issue:

Affects: fedora-all [bug 1260563]
Affects: epel-all [bug 1260564]

Comment 2 Fedora Update System 2015-11-08 17:51:45 UTC
ganglia-3.7.2-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2015-11-08 18:24:14 UTC
ganglia-3.7.2-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Product Security DevOps Team 2019-06-08 02:43:26 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.